package com.example.unodtantos.appqueology2.modelo;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by unodtantos on 18/03/2015.
 */
public class Proyecto implements Serializable {

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Atributos de la clase">

    private String id;
    private String nombre;
    private String autor;
    private Date fecha;

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Constructures de la clase">

    /**
     * Constructor de la clase.
     * @param nombre
     * @param autor
     */
    public Proyecto(String nombre, String autor) {
        this.nombre = nombre;
        this.autor = autor;
    }

    /**
     * Constructor de la clase.
     */
    public Proyecto() {
        this.nombre="";
    }

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/

    // <editor-fold defaultstate="collapsed" desc="Getters and Setters">

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getAutor() {
        return autor;
    }

    public void setAutor(String autor) {
        this.autor = autor;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    // </editor-fold>

    /*--------------------------------------------------------------------------------------------*/

}

